## ros-galactic-libnabo 1.0.7

=== debian/changelog ===
ros-galactic-libnabo (1.0.7-1focal) focal; urgency=high

  * Disabled cmake compile tests by default and on compilers that do not support them (#95)
  * Fix Python 2 bindings support in CMake scripts (#90)
  * Port libnabo to c++11 (#89)
  * Remove register keyword in index_heap.h (#88)
  * Fix compilation warning for MSVC (#85)
  * Assert template type for invalid setters (#80)
  * Return numerically maximal index (unsigned) or -1 (signed) for no match case (#79)
  * Add generate step for ${PROJECT_BINARY_DIR}/libnaboConfig.cmake (#76)
  * Removed compiler-specific flags for compilers that do not support them (#74)
  * Added cmake_policy(SET CMP0054 NEW) (#73)
  * Output compiler message with compile test fatal error in cmake (#72)
  * Removed erroneous commas from test/CMakeLists.txt (#71)
  * Removed fatal "," suffix from FATAL_ERROR in CMakeLists.txt (#70)
  * Fixed regression concerning installed libnaboConfig.cmake (#65)
  * Fix/relax compiler requirements (#63)
  * Removed hard dependency on the doc target (#62)
  * Install any.hpp (#61)
  * Remove boost::any and boost:format dependencies (#59)
  * Port the python bindings to python3 (#57)
  * Added cmake switch to disable usage of OpenMP (#53)
  * Zero copy for Eigen::Matrix3XT and Eigen::Map<const Eigen::Matrix3XT> (#43)
  * Fix warnings and switch on Wextra (#42)
  * Disallow instantiation with non dynamic matrices (#41)
  * Update README.md
  * Removed all code dealing with libnaboTargets.cmake (#32)
  * Got rid of unused locally defined typedefs (#27)
  * Contributors: David Landry, Hannes Sommer, Simon Lynen, Simon-Pierre Deschênes, Stéphane Magnenat, cezheng, ffurrer, magehrig, renning22, sandsmark, taketwo, tcies

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Wed, 06 Feb 2019 23:00:00 -0000

ros-galactic-libnabo (1.0.6-1focal) focal; urgency=high

  * Reset point indices of results with distances exceeding threshold (#23, #24)
  * Fine tune the find_package() capability and add uninstall target (#22)
  * Fixed compiler warning (#18)
  * Added OpenMP support (#20, #21)
  * Build type tuning (#19)
  * Fix: terminal comma in enum requires C++11
  * Fix UBSAN error calculating maxNodeCount (#16, #17)
  * Fixed tiny (yet significant) error in the Python doc strings (#15)
  * Compile static lib with PIC (#14)
  * Contributors: Francois Pomerleau, François Pomerleau, Gregory Hitz, Gregory Jefferis, Simon Lynen, Stéphane Magnenat

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Wed, 04 Mar 2015 23:00:00 -0000

ros-galactic-libnabo (1.0.5-1focal) focal; urgency=high

  * Added configure scripts for full catkinization
  * Catkinization of libnabo (following REP136)
  * Update README.md
    Added Simon as the maintainer.
  * [test] use CLOCK_PROF for NetBSD build
  * Fixed CppCheck warning.
    Fix broken install when doxygen is not found
  * Fix cmake stylistic issue
  * Make python install respect custom CMAKE_INSTALL_PREFIX
  * Fix broken install when doxygen is not found
  * Contributors: Chris Foster, Francis Colas, Paul Furgale, Pierrick Koch, Stéphane Magnenat, fcolas

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Wed, 11 Jun 2014 22:00:00 -0000

ros-galactic-libnabo (1.0.4-1focal) focal; urgency=high

  * Updated Debian version number.
  * Added check for invalid optionFlags values.
  * Fixed compilation on OS X, reduced code duplication in tests by moving timers into helpers.h
  * Contributors: Stéphane Magnenat

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Mon, 02 Sep 2013 22:00:00 -0000

ros-galactic-libnabo (1.0.3-1focal) focal; urgency=high

  * Prevent requesting more points than available in the cloud, prevent the use of empty clouds, bumped version number.
  * Added test for grep.
  * Worked around issue #3 <https://github.com/ethz-asl/libnabo/issues/3> on Windows.
  * Updated documentation.
  * Contributors: Stéphane Magnenat

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Sun, 18 Aug 2013 22:00:00 -0000

ros-galactic-libnabo (1.0.2-1focal) focal; urgency=high

  * Updated version number.
  * Added const
  * Removed useless optimisation, cleaned-up.
  * faster tree heap when less neighbors than requested
  * Hopefully fixed detection of missmatched python versions.
  * Fixed cloud size check for clouds with billions of points.
  * Contributors: Francis Colas, Stéphane Magnenat

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Tue, 19 Feb 2013 23:00:00 -0000

ros-galactic-libnabo (1.0.1-1focal) focal; urgency=high

  * Bumped version in doc.
  * Updated documentation to reflect the disabling of OpenCL.
  * Fixed bug in version define.
  * Typo.
  * Added note about nabo citation.
  * Fixed the semantic of epsilon to match the documentation's and ANN's ones.
  * Added ability to pass one radius per point.
  * Added custom command for python target.
  * Reverted buggy change
  * Fixed old python_add_module
  * fixed python 2.6 detection on debian.
  * Fixed debian installation.
  * Added debian-specific install target.
  * Fixed doc and python link command
  * Added docstring to python bindings.
  * Added test and improved CMakeLists.txt
  * Added debian install for python
  * Renammed to pynabo, added python install script.
  * Experimental python bindings working.
  * When number of point is smaller than bucket size, create a single-bucket tree.
  * Cleaned-up makefile.
  * Fixed description.
  * Merge branch 'master' of github.com:ethz-asl/libnabo
  * Added dbg package.
  * Contributors: Stéphane Magnenat

 -- Stéphane Magnenat <stephane.magnenat@mavt.ethz.ch>  Mon, 05 Nov 2012 23:00:00 -0000

ros-galactic-libnabo (1.0.0-1focal) focal; urgency=high

  * Fixed naming convention.
  * Removed dbg msg.
  * Fixed doc.
  * Updated doc, fixed debian build.
  * Updated README.
  * Fixed debian compilation.
  * Added note about download.
  * Fixed bug in control file.
  * Separated doc package from dev package.
  * Cleaned-up debian build chain.
  * Added debian package.

